local mvec1 = Vector3()

Hooks:OverrideFunction(MutatorPiggyBank, "on_pig_fed", 
    function(self, bag_unit, current_piggybank_unit)
        if alive(current_piggybank_unit) then
            local obj = current_piggybank_unit:get_object(Idstring("coin_slot"))
            local pos = mvec1

            obj:m_position(pos)
            managers.explosion:player_feedback(pos, nil, nil, {
                camera_shake_mul = 0,
                feedback_range = 1000
            })

            pos = obj:to_local(pos)

            World:effect_manager():spawn({
                effect = Idstring("effects/payday2/environment/9th_bag_explosion"),
                position = pos,
                normal = math.UP,
                parent = obj
            })
            self._sound_source:post_event("PDA9_BagIn")
        end

        if alive(bag_unit) then
            if Network:is_server() or bag_unit:id() ~= -1 then
                bag_unit:set_slot(0)
            else
                bag_unit:set_enabled(false)
            end
        end
    end
)